petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscLogEventSetCollective

Indicates that a particular event is collective.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventSetCollective(PetscLogEvent event,PetscBool collective)

Not Collective

### Input Parameter

| event | - The event id
| collective | - Bolean flag indicating whether a particular event is collective

### Note

New events returned from PetscLogEventRegister() are collective by default.

### See Also

PetscLogEventRegister()

### Level

developer

### Location

src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages